from shapely.geometry import Point
import boto3
import pandas as pd
from tqdm import tqdm
import awswrangler as wr
import shapely.wkt
import numpy as np
import datetime as dt
from datetime import datetime
from typing import Dict, Tuple


def retrieve_amplitude_data(aws_session, event_type, start_date, end_date, clevertap_end_date):
    amplitide_base_query = f"SELECT \
                                date_format(CAST(date_parse(SUBSTRING(event_time, 1, 19), '%Y-%m-%d %H:%i:%S') AS DATE), '%Y-%m-%d %H:%i:%s') as date_time, \
                                event_name as eventname, user_id as profile_identity, \
                                event_properties_device_location_coordinates as eventprops_device_location_coordinates, \
                                event_properties_timeslots_common_property_displayed_location_coordinates as eventprops_displayed_location_coordinates, \
                                event_properties_selected_timeslot as eventprops_selected_time_slot, \
                                case when event_properties_selected_item_variation in ('1','2') then 'petrol' else 'diesel' END as eventprops_displayed_service_type, \
                                event_properties_displayed_timeslots as eventprops_displayed_time_slots, \
                                session_id as eventprops_ct_session_id \
                            FROM order_timeslots_screen_{event_type}_flatten \
                            where event_properties_selected_item_variation in ('1', '2', '3')"
    if start_date and end_date:
        date_clause = f" and date_format(CAST(date_parse(SUBSTRING(event_time, 1, 19), '%Y-%m-%d %H:%i:%S') AS DATE), '%Y-%m-%d %H:%i:%s') >= date_format(date('{clevertap_end_date}'), '%Y-%m-%d %H:%i:%s') \
                         and date_format(CAST(date_parse(SUBSTRING(event_time, 1, 19), '%Y-%m-%d %H:%i:%S') AS DATE), '%Y-%m-%d %H:%i:%s') <= date_format(date('{end_date}'), '%Y-%m-%d %H:%i:%s')"
        full_query = f"{amplitide_base_query}{date_clause}"
    else:
        full_query = amplitide_base_query

    data1 = wr.athena.read_sql_query(full_query, database="cafu_prod_raw_amplitude_events", boto3_session=aws_session)
    return data1