from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.0.1'
DESCRIPTION = 'CAFU-ML Utility Functions Package '
LONG_DESCRIPTION = 'A package that accelerates the machine learning development.'

setup(
    name="cafu_ml",
    version=VERSION,
    author="CAFU",
    author_email="taha.cakir@cafu.com",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=['boto3', 'shapely', 'pandas',"tqdm","awswrangler","numpy"],
    keywords=['python', 'user-app',"marketing"],
    classifiers=[
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)